// VisualK-OS: Command Constants
// Generated on: September 21, 2019 [06:46]

// Device IDs
const char COMMS_DEVICE_ID = 250;
const char ID_FBA = 251;
const char ID_THOR = 252;

// Device States
const char STATE_CONNECTED = 1;
const char STATE_DISCONNECTED = 2;
const char COMMS_OP_CONNECT = 3;
const char COMMS_OP_DISCONNECT = 4;

// VKC Color Constants
const char VKC_BLUE = 20;
const char VKC_CYAN = 21;
const char VKC_GREEN = 22;
const char VKC_MAGENTA = 23;
const char VKC_ORANGE = 24;
const char VKC_PURPLE = 25;
const char VKC_RED = 26;
const char VKC_WHITE = 27;
const char VKC_YELLOW = 28;

// Scenes
const char SCENE_0 = 29;
const char SCENE_1 = 30;

// Lamp IDs
const char LAMP_0 = 100;
const char LAMP_1 = 101;
const char LAMP_2 = 102;
const char LAMP_3 = 103;
const char LAMP_4 = 104;
const char LAMP_5 = 105;
const char LAMP_6 = 106;
const char LAMP_7 = 107;
const char ALL_LAMPS = 70;
const char FBA_BANK_A = 71;
const char FBA_BANK_B = 72;

// Lamp States
const char LAMP_OFF = 73;
const char LAMP_ON = 74;
const char LAMP_FADE_IN = 75;
const char LAMP_FADE_OUT = 76;
const char LAMP_MUTED = 77;

// COMMS Packet Constants
const char CPACK_ARG_BYTE = 160;
const char CPACK_ARG_CONST = 161;
const char CPACK_ARG_COLOR = 162;
const char CPACK_ARG_COLOR_CONST = 163;
const char CPACK_ARG_COLOR_ENVIRONMENT = 164;
const char CPACK_ARG_INT = 165;
const char CPACK_ARG_DELIMETER = 166;
const char CPACK_ARG_STOP = 167;
const char CPACK_START = 168;
const char CPACK_END = 169;

// COMMS Operations
const char COMMS_ACK = 170;
const char COMMS_MSG = 171;
const char COMMS_NOP = 172;
const char COMMS_OP_OFF = 173;
const char COMMS_OP_ON = 174;
const char COMMS_OP_FADE_IN = 175;
const char COMMS_OP_FADE_OUT = 176;
const char COMMS_OP_GET_BRIGHTNESS = 177;
const char COMMS_OP_SET_BRIGHTNESS = 178;
const char COMMS_OP_GET_COLOR = 179;
const char COMMS_OP_SET_COLOR = 180;
const char COMMS_OP_GET_DRUM_LEVEL = 181;
const char COMMS_OP_SET_DRUM_LEVEL = 182;
const char COMMS_OP_GET_FADE_DURATION = 183;
const char COMMS_OP_SET_FADE_DURATION = 184;
const char COMMS_OP_MUTE = 185;
const char COMMS_OP_SET_SCENE = 186;
const char COMMS_OP_UNMUTE = 187;

