class VKOS_Main_FBA {
  private:
    serCOMMS mainSys;     // Serial COMMS module.
    
  
  public:
    // Initialization
    //----------------
    VKOS_Main_FBA::setup() {
      // Connect to the main system.
      //-----------------------------
      while (!mainSys.isConnected()) {mainSys.doHandshake(ID_FBA);}
    }


    
    void VKOS_Main_FBA::mainLoop() {
      // Verify connection
      if (mainSys.isConnected()) {
        mainSys.processIO();        // Check for incoming serial data.
        mainSys.updateLights();     // Update light states/timers.  
      }
      else {mainSys.doHandshake(ID_FBA);}     // Re-establish handshake.
    }
};



// Variables
//-----------
VKOS_Main_FBA mainProcess;



// loop()
// Desc: Main Arduino loop.
// -------------------------
void loop() {
  mainProcess.mainLoop();
/*  if (Serial.available()) {
    char iData = Serial.read();
    if (iData == '1') {Serial.print("YAY"); delay(1000);}
    if (iData == '2') {Serial.print("YAY!!!"); delay(1000);}
    else {
      Serial.print("Got ");
      Serial.println(iData);
    }
  }
  delay(10);*/
}



// setup():
// Desc: Runs at boot.
// --------------------
void setup() {
  mainProcess.setup();
  //Serial.begin(115200);
}
